<script lang="ts">
  export let times: [number, number, number, number];
  export let results: [number, number];
  const formatTime = (num: number) => {
    return `${formatDuration(num >= times[0] ? num - times[0] : 0)}`;
  };
  const formatDuration = (num: number) => {
    return `${(num).toFixed(2)} ms`;
  };
</script>

<div class="line">
  <p>started generating sample:</p>
  <span class="right">{formatTime(times[0])}</span>
</div>
<div class="line">
  <p class="left">sample created:</p>
  <span class="right">{formatTime(times[1])}</span>
</div>
<div class="line">
  <p class="left">started algorithm:</p>
  <span class="right">{formatTime(times[2])}</span>
</div>
<div class="line">
  <p class="left">algorithm done:</p>
  <span class="right">{formatTime(times[3])}</span>
</div>
<div class="line highlight">
  <p class="left">duration sample:</p>
  <span class="right">{formatDuration(results[0])}</span>
</div>
<div class="line highlight">
  <p class="left">duration algorithm:</p>
  <span class="right">{formatDuration(results[1])}</span>
</div>

<style lang="scss">
  .line {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }
  .highlight {
    font-weight: bold;
  }
</style>